Debian Bug report logs - #452069
NFS broken on Thecus N2100 (r8169 bug)

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Daniel Smolik <marvin@mydatex.cz>

Date: Tue, 20 Nov 2007 08:45:17 UTC

Owned by: Martin Michlmayr <tbm@cyrius.com>

Severity: important

Merged with 445156

Found in versions 2.6.18.dfsg.1-13, 2.6.18.dfsg.1-13lenny1, 2.6.22-4, 2.6.22-5

Fixed in version linux-2.6/2.6.23-1

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, marvin@mydatex.cz, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#452069; Package nfs-kernel-server. Full text and rfc822 format available.

Acknowledgement sent to Daniel Smolik <marvin@mydatex.cz>:
New Bug report received and forwarded. Copy sent to marvin@mydatex.cz, Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Smolik <marvin@mydatex.cz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nfs-kernel-server: broken NFS server on Thecus N2100
Date: Tue, 20 Nov 2007 09:44:44 +0100
Package: nfs-kernel-server
Version: 1:1.1.1-3
Severity: critical
Justification: causes serious data loss

When I transfer files from an x86 machine to the arm nfs server,
files arrive corrupted (md5sum mismatch) and dmesg/syslog shows:

kernel: nfsd: non-standard errno: -14

A try upload data with ftp and it works OK but may be slow 5MB/s on 100Mbit
network. Reading data from NFS share is broken too. I get the same messages
from NFS server. I try Etch an Sid a situation is the same.




-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: arm (armv5tel)

Kernel: Linux 2.6.22-3-iop32x
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages nfs-kernel-server depends on:
ii  libblkid1             1.40.2-1           block device id library
ii  libc6                 2.6.1-6            GNU C Library: Shared libraries
ii  libcomerr2            1.40.2-1           common error description library
ii  libgssglue1           0.1-1              mechanism-switch gssapi library
ii  libkrb53              1.6.dfsg.3~beta1-2 MIT Kerberos runtime libraries
ii  libnfsidmap2          0.20-0             An nfs idmapping library
ii  librpcsecgss3         0.17-1             allows secure rpc communication us
ii  libwrap0              7.6.dbs-14         Wietse Venema's TCP wrappers libra
ii  lsb-base              3.1-24             Linux Standard Base 3.1 init scrip
ii  nfs-common            1:1.1.1-3          NFS support files common to client
ii  ucf                   3.003              Update Configuration File: preserv

nfs-kernel-server recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#452069; Package nfs-kernel-server. Full text and rfc822 format available.

Acknowledgement sent to Daniel Smolik <marvin@mydatex.cz>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #10 received at 452069@bugs.debian.org (full text, mbox):

From: Daniel Smolik <marvin@mydatex.cz>
To: 452069@bugs.debian.org
Subject: nfs-kernel-server: broken NFS server on Thecus N2100
Date: Tue, 20 Nov 2007 10:07:34 +0100
New infomation  switching to nfs-user-server solve the problem.
CPU usage is high but work without problem.


			Regards
				Dan Smolik



-- 
Mydatex s r.o.
http://www.mydatex.cz
email: smolik@mydatex.cz
mob: 604200362
tel: 226210085




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#452069; Package nfs-kernel-server. Full text and rfc822 format available.

Acknowledgement sent to Daniel Smolik <marvin@mydatex.cz>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #15 received at 452069@bugs.debian.org (full text, mbox):

From: Daniel Smolik <marvin@mydatex.cz>
To: 452069@bugs.debian.org
Subject: broken NFS server on Thecus N2100
Date: Tue, 20 Nov 2007 10:29:10 +0100
Samba works OK too.

Dan


-- 
Mydatex s r.o.
http://www.mydatex.cz
email: smolik@mydatex.cz
mob: 604200362
tel: 226210085




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#452069; Package nfs-kernel-server. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #20 received at 452069@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Daniel Smolik <marvin@mydatex.cz>, 452069@bugs.debian.org
Subject: Re: Bug#452069: nfs-kernel-server: broken NFS server on Thecus N2100
Date: Tue, 20 Nov 2007 11:20:08 +0100
* Daniel Smolik <marvin@mydatex.cz> [2007-11-20 09:44]:
> Package: nfs-kernel-server
> 
> When I transfer files from an x86 machine to the arm nfs server,
> files arrive corrupted (md5sum mismatch) and dmesg/syslog shows:
> kernel: nfsd: non-standard errno: -14

We had #404447 in the past, a problem on NSLU2 (arm) with the same
error message.  However, in that case, we were fairly sure in the end
that it was due to the Ethernet driver.  I'm not sure this applies to
this bug since you say that nfs-user-server works.  The other curious
thing is that I tried NFS on Thecus N2100 when I investigated #404447
and it worked fine for me (but that was with 2.6.17 or 2.6.18).
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#452069; Package nfs-kernel-server. Full text and rfc822 format available.

Acknowledgement sent to Daniel Smolik <marvin@mydatex.cz>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #25 received at 452069@bugs.debian.org (full text, mbox):

From: Daniel Smolik <marvin@mydatex.cz>
To: Martin Michlmayr <tbm@cyrius.com>, 452069@bugs.debian.org
Subject: Re: Bug#452069: nfs-kernel-server: broken NFS server on Thecus N2100
Date: Tue, 20 Nov 2007 11:35:14 +0100
Martin Michlmayr napsal(a):
> * Daniel Smolik <marvin@mydatex.cz> [2007-11-20 09:44]:
>> Package: nfs-kernel-server
>>
>> When I transfer files from an x86 machine to the arm nfs server,
>> files arrive corrupted (md5sum mismatch) and dmesg/syslog shows:
>> kernel: nfsd: non-standard errno: -14
> 
> We had #404447 in the past, a problem on NSLU2 (arm) with the same
> error message.  However, in that case, we were fairly sure in the end
> that it was due to the Ethernet driver.  I'm not sure this applies to
> this bug since you say that nfs-user-server works.  The other curious
> thing is that I tried NFS on Thecus N2100 when I investigated #404447
> and it worked fine for me (but that was with 2.6.17 or 2.6.18).

I read this bug report, but I mean that this is problem nfsd.
I try ftp upload/download, smb upload/download, nfs-user-server 
upload/download and all works. But when switch to nfs-kernel-server and 
copying files with mc, copying starts very fast and after this stops, 
wait while, slowdown and after while I get i/o error.


			Dan





Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#452069; Package nfs-kernel-server. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #30 received at 452069@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Daniel Smolik <marvin@mydatex.cz>
Cc: 452069@bugs.debian.org
Subject: Re: Bug#452069: nfs-kernel-server: broken NFS server on Thecus N2100
Date: Tue, 20 Nov 2007 12:22:54 +0100
* Daniel Smolik <marvin@mydatex.cz> [2007-11-20 11:35]:
> I read this bug report, but I mean that this is problem nfsd.

Just to make sure, do you think you could also try with 2.6.18?
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#452069; Package nfs-kernel-server. Full text and rfc822 format available.

Acknowledgement sent to Daniel Smolik <marvin@sitour.cz>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #35 received at 452069@bugs.debian.org (full text, mbox):

From: Daniel Smolik <marvin@sitour.cz>
To: Martin Michlmayr <tbm@cyrius.com>, 452069@bugs.debian.org
Subject: Re: Bug#452069: nfs-kernel-server: broken NFS server on Thecus N2100
Date: Tue, 20 Nov 2007 12:40:32 +0100
Martin Michlmayr napsal(a):
> * Daniel Smolik <marvin@mydatex.cz> [2007-11-20 11:35]:
>> I read this bug report, but I mean that this is problem nfsd.
> 
> Just to make sure, do you think you could also try with 2.6.18?
Yes as I wrote, I previous   run Etch with 2.6.18. And symptom are the same.

			Dan





Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#452069; Package nfs-kernel-server. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #40 received at 452069@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Daniel Smolik <marvin@mydatex.cz>
Cc: 452069@bugs.debian.org
Subject: Re: Bug#452069: nfs-kernel-server: broken NFS server on Thecus N2100
Date: Wed, 21 Nov 2007 21:43:37 +0100
* Daniel Smolik <marvin@mydatex.cz> [2007-11-20 11:35]:
> I read this bug report, but I mean that this is problem nfsd.

I just transfered 9 GB from my PC to the N2100 without any problems.
I used an unreleased kernel (2.6.23 plus some patches) though.

Can you tell me a) how much data you usually transfer to see this
problem and b) what options you have listed in /etc/exports.
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#452069; Package nfs-kernel-server. Full text and rfc822 format available.

Acknowledgement sent to Daniel Smolik <marvin@mydatex.cz>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #45 received at 452069@bugs.debian.org (full text, mbox):

From: Daniel Smolik <marvin@mydatex.cz>
To: Martin Michlmayr <tbm@cyrius.com>, 452069@bugs.debian.org
Subject: Re: Bug#452069: nfs-kernel-server: broken NFS server on Thecus N2100
Date: Wed, 21 Nov 2007 22:00:05 +0100
Martin Michlmayr napsal(a):
> * Daniel Smolik <marvin@mydatex.cz> [2007-11-20 11:35]:
>> I read this bug report, but I mean that this is problem nfsd.
> 
> I just transfered 9 GB from my PC to the N2100 without any problems.
> I used an unreleased kernel (2.6.23 plus some patches) though.
Great, can you give me link to this patchset ?

> 
> Can you tell me a) how much data you usually transfer to see this
> problem and b) what options you have listed in /etc/exports.

I try one 750M file and transfer never complete .

cat /etc/exports

/home/zaloha  *(rw,no_root_squash,no_subtree_check)

If you copy large file did you see this situation?

1) Copying start very fast and in mc shows 50Mbs
2) after while stops and wait
3) speed slowdown to ~ 8Mbs
4) get i/o error.


Regards
		Dan Smolik





-- 
Mydatex s r.o.
http://www.mydatex.cz
email: smolik@mydatex.cz
mob: 604200362
tel: 226210085




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#452069; Package nfs-kernel-server. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #50 received at 452069@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Daniel Smolik <marvin@mydatex.cz>
Cc: 452069@bugs.debian.org
Subject: Re: Bug#452069: nfs-kernel-server: broken NFS server on Thecus N2100
Date: Wed, 21 Nov 2007 22:00:47 +0100
* Martin Michlmayr <tbm@cyrius.com> [2007-11-21 21:43]:
> I just transfered 9 GB from my PC to the N2100 without any problems.
> I used an unreleased kernel (2.6.23 plus some patches) though.

OK, I see it with 2.6.22... and it happens quite often too.
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#452069; Package nfs-kernel-server. Full text and rfc822 format available.

Acknowledgement sent to Daniel Smolik <marvin@mydatex.cz>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #55 received at 452069@bugs.debian.org (full text, mbox):

From: Daniel Smolik <marvin@mydatex.cz>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 452069@bugs.debian.org
Subject: Re: Bug#452069: nfs-kernel-server: broken NFS server on Thecus N2100
Date: Wed, 21 Nov 2007 22:03:54 +0100
Martin Michlmayr napsal(a):
> * Daniel Smolik <marvin@mydatex.cz> [2007-11-21 22:00]:
>>> I just transfered 9 GB from my PC to the N2100 without any problems.
>>> I used an unreleased kernel (2.6.23 plus some patches) though.
>> Great, can you give me link to this patchset ?
> 
> Only if you have (or can make) a serial console for your N2100 (in
> case something goes wrong when installing the package).
No problem of course I have serial console :-) I load kernel with tftp :-)

		Dan


-- 
Mydatex s r.o.
http://www.mydatex.cz
email: smolik@mydatex.cz
mob: 604200362
tel: 226210085




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#452069; Package nfs-kernel-server. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #60 received at 452069@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Daniel Smolik <marvin@mydatex.cz>
Cc: 452069@bugs.debian.org
Subject: Re: Bug#452069: nfs-kernel-server: broken NFS server on Thecus N2100
Date: Wed, 21 Nov 2007 22:02:26 +0100
* Daniel Smolik <marvin@mydatex.cz> [2007-11-21 22:00]:
>> I just transfered 9 GB from my PC to the N2100 without any problems.
>> I used an unreleased kernel (2.6.23 plus some patches) though.
> Great, can you give me link to this patchset ?

Only if you have (or can make) a serial console for your N2100 (in
case something goes wrong when installing the package).
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#452069; Package nfs-kernel-server. Full text and rfc822 format available.

Acknowledgement sent to Daniel Smolik <marvin@mydatex.cz>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #65 received at 452069@bugs.debian.org (full text, mbox):

From: Daniel Smolik <marvin@mydatex.cz>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 452069@bugs.debian.org
Subject: Re: Bug#452069: nfs-kernel-server: broken NFS server on Thecus N2100
Date: Wed, 21 Nov 2007 22:03:04 +0100
Martin Michlmayr napsal(a):
> * Martin Michlmayr <tbm@cyrius.com> [2007-11-21 21:43]:
>> I just transfered 9 GB from my PC to the N2100 without any problems.
>> I used an unreleased kernel (2.6.23 plus some patches) though.
> 
> OK, I see it with 2.6.22... and it happens quite often too.

And with 2.6.23 is it OK ?

		Dan

-- 
Mydatex s r.o.
http://www.mydatex.cz
email: smolik@mydatex.cz
mob: 604200362
tel: 226210085




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#452069; Package nfs-kernel-server. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #70 received at 452069@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Daniel Smolik <marvin@mydatex.cz>
Cc: 452069@bugs.debian.org
Subject: Re: Bug#452069: nfs-kernel-server: broken NFS server on Thecus N2100
Date: Wed, 21 Nov 2007 23:32:59 +0100
* Daniel Smolik <marvin@mydatex.cz> [2007-11-21 22:03]:
>>> I used an unreleased kernel (2.6.23 plus some patches) though.
>> OK, I see it with 2.6.22... and it happens quite often too.
> And with 2.6.23 is it OK ?

Yes, seems to work with an unpatched 2.6.23.
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#452069; Package nfs-kernel-server. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #75 received at 452069@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Daniel Smolik <marvin@mydatex.cz>
Cc: 452069@bugs.debian.org
Subject: Re: Bug#452069: nfs-kernel-server: broken NFS server on Thecus N2100
Date: Thu, 22 Nov 2007 12:54:27 +0100
* Daniel Smolik <marvin@mydatex.cz> [2007-11-21 22:03]:
>> OK, I see it with 2.6.22... and it happens quite often too.
> And with 2.6.23 is it OK ?

This change, which went into 2.6.23, fixes the bug:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=864022344caf43dab7fa5219152280d056c6e051

I'll see whether we can backport this to 2.6.18.
-- 
Martin Michlmayr
http://www.cyrius.com/




Bug reassigned from package `nfs-kernel-server' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 22 Nov 2007 11:57:28 GMT) Full text and rfc822 format available.

Owner recorded as Martin Michlmayr <tbm@cyrius.com>. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 22 Nov 2007 11:57:29 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.6.22-4. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 22 Nov 2007 11:57:30 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.6.22-5. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 22 Nov 2007 11:57:30 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.6.18.dfsg.1-13. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 22 Nov 2007 11:57:31 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.6.18.dfsg.1-13lenny1. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 22 Nov 2007 11:57:32 GMT) Full text and rfc822 format available.

Severity set to `important' from `critical' Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 22 Nov 2007 11:57:32 GMT) Full text and rfc822 format available.

Changed Bug title to `NFS broken on Thecus N2100 (r8160 bug)' from `nfs-kernel-server: broken NFS server on Thecus N2100'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 22 Nov 2007 11:57:33 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#452069; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #96 received at 452069@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: dann frazier <dannf@dannf.org>, Daniel Smolik <marvin@mydatex.cz>
Cc: 452069@bugs.debian.org
Subject: Re: Bug#452069: nfs-kernel-server: broken NFS server on Thecus N2100
Date: Thu, 22 Nov 2007 15:00:51 +0100
dannf, could you please take a look at #452069 and let me know if this
bug is worth addressing in a stable update.

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#452069; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. Full text and rfc822 format available.

Message #101 received at 452069@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>, 452069@bugs.debian.org
Cc: Daniel Smolik <marvin@mydatex.cz>
Subject: Re: Bug#452069: nfs-kernel-server: broken NFS server on Thecus N2100
Date: Thu, 22 Nov 2007 10:10:22 -0700
On Thu, Nov 22, 2007 at 03:00:51PM +0100, Martin Michlmayr wrote:
> dannf, could you please take a look at #452069 and let me know if this
> bug is worth addressing in a stable update.

Yes, this certainly qualifies - I've updated the usertags to reflect
that. Thanks for tracking this one down.

-- 
dann frazier





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#452069; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #106 received at 452069@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: dann frazier <dannf@debian.org>, 452069@bugs.debian.org
Cc: Daniel Smolik <marvin@mydatex.cz>
Subject: Re: Bug#452069: nfs-kernel-server: broken NFS server on Thecus N2100
Date: Thu, 22 Nov 2007 18:30:06 +0100
* dann frazier <dannf@debian.org> [2007-11-22 10:10]:
> > dannf, could you please take a look at #452069 and let me know if this
> > bug is worth addressing in a stable update.
> Yes, this certainly qualifies - I've updated the usertags to reflect
> that. Thanks for tracking this one down.

I backported and tested the patch but I'll ask upstream whether a
different approach would make more sense.  I'll update this bug when I
have more info.
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#452069; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Daniel Smolik <marvin@mydatex.cz>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. Full text and rfc822 format available.

Message #111 received at 452069@bugs.debian.org (full text, mbox):

From: Daniel Smolik <marvin@mydatex.cz>
To: Martin Michlmayr <tbm@cyrius.com>, 452069@bugs.debian.org
Subject: Re: Bug#452069: nfs-kernel-server: broken NFS server on Thecus N2100
Date: Fri, 23 Nov 2007 16:49:34 +0100
Martin Michlmayr napsal(a):
> * Daniel Smolik <marvin@mydatex.cz> [2007-11-21 22:03]:
>>> Only if you have (or can make) a serial console for your N2100 (in
>>> case something goes wrong when installing the package).
>> No problem of course I have serial console :-) I load kernel with tftp :-)
> 
> Try
> http://merkel.debian.org/~tbm/tmp/linux-image-2.6.23-1-iop32x_2.6.23-1~experimental.2_arm.deb
> 

Thanks  this kernel fixes my problem with NFS. But writing speed is not 
good as I expected ~5MB/s I hope 10MB/s on 100Mbit lan.


			Thanks
				Dan Smolik


-- 
Mydatex s r.o.
http://www.mydatex.cz
email: smolik@mydatex.cz
mob: 604200362
tel: 226210085




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#452069; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #116 received at 452069@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Daniel Smolik <marvin@mydatex.cz>
Cc: 452069@bugs.debian.org
Subject: Re: Bug#452069: nfs-kernel-server: broken NFS server on Thecus N2100
Date: Fri, 23 Nov 2007 18:08:51 +0100
* Daniel Smolik <marvin@mydatex.cz> [2007-11-23 16:49]:
> Thanks  this kernel fixes my problem with NFS. But writing speed is
> not good as I expected ~5MB/s I hope 10MB/s on 100Mbit lan.

Is the new kernel slower than the old one?  How did you measure the
speed?
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#452069; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Daniel Smolik <marvin@mydatex.cz>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. Full text and rfc822 format available.

Message #121 received at 452069@bugs.debian.org (full text, mbox):

From: Daniel Smolik <marvin@mydatex.cz>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 452069@bugs.debian.org
Subject: Re: Bug#452069: nfs-kernel-server: broken NFS server on Thecus N2100
Date: Fri, 23 Nov 2007 18:46:21 +0100
Martin Michlmayr napsal(a):
> * Daniel Smolik <marvin@mydatex.cz> [2007-11-23 16:49]:
>> Thanks  this kernel fixes my problem with NFS. But writing speed is
>> not good as I expected ~5MB/s I hope 10MB/s on 100Mbit lan.
> 
> Is the new kernel slower than the old one?  How did you measure the
> speed?

May be that this is only  my feeling. I will try copy 100M file and 
mesure time with watches. I now  measure only with mc and it shows 
5MB/s. When I copy to directory  shared via NFS on my old notebook 
(PIII/700) I get 7-8 MB/s I hope that Thecus will be better or same.


				Dan



-- 
Mydatex s r.o.
http://www.mydatex.cz
email: smolik@mydatex.cz
mob: 604200362
tel: 226210085




Tags added: pending Request was from Martin Michlmayr <tbm@alioth.debian.org> to control@bugs.debian.org. (Wed, 28 Nov 2007 10:06:01 GMT) Full text and rfc822 format available.

Changed Bug title to `NFS broken on Thecus N2100 (r8169 bug)' from `NFS broken on Thecus N2100 (r8160 bug)'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Fri, 30 Nov 2007 21:36:02 GMT) Full text and rfc822 format available.

Forcibly Merged 445156 452069. Request was from Stefan Fritsch <sf@debian.org> to control@bugs.debian.org. (Sat, 01 Dec 2007 10:12:03 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Smolik <marvin@mydatex.cz>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #132 received at 452069-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 452069-close@bugs.debian.org
Subject: Bug#452069: fixed in linux-2.6 2.6.23-1
Date: Wed, 05 Dec 2007 00:30:49 +0000
Source: linux-2.6
Source-Version: 2.6.23-1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.23-1.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.23-1.diff.gz
linux-2.6_2.6.23-1.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.23-1.dsc
linux-2.6_2.6.23.orig.tar.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.23.orig.tar.gz
linux-doc-2.6.23_2.6.23-1_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.23_2.6.23-1_all.deb
linux-headers-2.6.23-1-all-amd64_2.6.23-1_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.23-1-all-amd64_2.6.23-1_amd64.deb
linux-headers-2.6.23-1-all_2.6.23-1_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.23-1-all_2.6.23-1_amd64.deb
linux-headers-2.6.23-1-amd64_2.6.23-1_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.23-1-amd64_2.6.23-1_amd64.deb
linux-headers-2.6.23-1-common_2.6.23-1_amd64.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.23-1-common_2.6.23-1_amd64.deb
linux-image-2.6.23-1-amd64_2.6.23-1_amd64.deb
  to pool/main/l/linux-2.6/linux-image-2.6.23-1-amd64_2.6.23-1_amd64.deb
linux-libc-dev_2.6.23-1_amd64.deb
  to pool/main/l/linux-2.6/linux-libc-dev_2.6.23-1_amd64.deb
linux-manual-2.6.23_2.6.23-1_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.23_2.6.23-1_all.deb
linux-patch-debian-2.6.23_2.6.23-1_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.23_2.6.23-1_all.deb
linux-source-2.6.23_2.6.23-1_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.23_2.6.23-1_all.deb
linux-support-2.6.23-1_2.6.23-1_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.23-1_2.6.23-1_all.deb
linux-tree-2.6.23_2.6.23-1_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.23_2.6.23-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 452069@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 30 Nov 2007 11:40:09 +0100
Source: linux-2.6
Binary: linux-image-2.6.23-1-parisc linux-image-2.6.23-1-4kc-malta linux-headers-2.6.23-1-s390x linux-headers-2.6.23-1-686-bigmem linux-headers-2.6.23-1-alpha-legacy linux-image-2.6.23-1-itanium linux-patch-debian-2.6.23 linux-headers-2.6.23-1-itanium linux-doc-2.6.23 linux-headers-2.6.23-1-common-xen linux-headers-2.6.23-1-all-s390 linux-image-2.6.23-1-mckinley linux-image-2.6.23-1-s390-tape linux-headers-2.6.23-1-all-sparc linux-headers-2.6.23-1-s390 linux-headers-2.6.23-1-all-i386 linux-headers-2.6.23-1-all-alpha linux-headers-2.6.23-1-ixp4xx linux-headers-2.6.23-1-all-hppa linux-modules-2.6.23-1-xen-686 linux-headers-2.6.23-1-486 linux-image-2.6.23-1-qemu linux-image-2.6.23-1-sb1-bcm91250a linux-image-2.6.23-1-ixp4xx linux-image-2.6.23-1-s390x linux-headers-2.6.23-1-all-powerpc linux-image-2.6.23-1-xen-686 linux-image-2.6.23-1-atari linux-image-2.6.23-1-alpha-generic linux-image-2.6.23-1-powerpc-miboot linux-image-2.6.23-1-sparc64-smp linux-headers-2.6.23-1-all-m68k linux-image-2.6.23-1-686-bigmem linux-headers-2.6.23-1-sparc64-smp linux-image-2.6.23-1-amiga linux-headers-2.6.23-1-iop32x linux-image-2.6.23-1-r5k-cobalt linux-headers-2.6.23-1-alpha-smp linux-libc-dev linux-image-2.6.23-1-alpha-smp linux-headers-2.6.23-1-powerpc64 linux-headers-2.6.23-1-s390-tape linux-headers-2.6.23-1-r4k-ip22 linux-image-2.6.23-1-powerpc-smp linux-headers-2.6.23-1-qemu linux-headers-2.6.23-1-r5k-ip32 linux-headers-2.6.23-1-5kc-malta linux-source-2.6.23 linux-headers-2.6.23-1-common linux-headers-2.6.23-1-parisc64 linux-image-2.6.23-1-686 linux-image-2.6.23-1-r5k-ip32 linux-headers-2.6.23-1-powerpc linux-image-2.6.23-1-mac linux-headers-2.6.23-1-mckinley linux-headers-2.6.23-1-all-armel linux-image-2.6.23-1-parisc-smp linux-image-2.6.23-1-486 linux-headers-2.6.23-1-versatile linux-image-2.6.23-1-sb1a-bcm91480b linux-image-2.6.23-1-versatile linux-headers-2.6.23-1-4kc-malta linux-image-2.6.23-1-powerpc linux-image-2.6.23-1-r4k-ip22 linux-headers-2.6.23-1-sb1a-bcm91480b linux-support-2.6.23-1 linux-image-2.6.23-1-iop32x linux-headers-2.6.23-1-parisc64-smp linux-image-2.6.23-1-powerpc64 linux-headers-2.6.23-1-atari linux-image-2.6.23-1-footbridge linux-headers-2.6.23-1-powerpc-miboot linux-headers-2.6.23-1-parisc-smp linux-headers-2.6.23-1-r5k-cobalt linux-headers-2.6.23-1-parisc linux-image-2.6.23-1-amd64 linux-headers-2.6.23-1-all-mips linux-manual-2.6.23 linux-image-2.6.23-1-sparc64 linux-headers-2.6.23-1-sparc64 linux-headers-2.6.23-1-alpha-generic linux-image-2.6.23-1-parisc64-smp linux-tree-2.6.23 linux-headers-2.6.23-1-amiga linux-headers-2.6.23-1-all-ia64 linux-headers-2.6.23-1-mac linux-image-2.6.23-1-s390 linux-headers-2.6.23-1-all-amd64 linux-headers-2.6.23-1-686 linux-headers-2.6.23-1-all-mipsel linux-headers-2.6.23-1-amd64 linux-image-2.6.23-1-parisc64 linux-headers-2.6.23-1-sb1-bcm91250a linux-headers-2.6.23-1-footbridge linux-headers-2.6.23-1-all linux-headers-2.6.23-1-powerpc-smp linux-image-2.6.23-1-alpha-legacy linux-image-2.6.23-1-5kc-malta linux-headers-2.6.23-1-all-arm linux-headers-2.6.23-1-xen-686
Architecture: source all amd64
Version: 2.6.23-1
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 linux-doc-2.6.23 - Linux kernel specific documentation for version 2.6.23
 linux-headers-2.6.23-1-all - All header files for Linux 2.6.23
 linux-headers-2.6.23-1-all-amd64 - All header files for Linux 2.6.23
 linux-headers-2.6.23-1-amd64 - Header files for Linux 2.6.23 on AMD64
 linux-headers-2.6.23-1-common - Common header files for Linux 2.6.23
 linux-image-2.6.23-1-amd64 - Linux 2.6.23 image on AMD64
 linux-libc-dev - Linux Kernel Headers for development
 linux-manual-2.6.23 - Linux kernel API manual pages for version 2.6.23
 linux-patch-debian-2.6.23 - Debian patches to version 2.6.23 of the Linux kernel
 linux-source-2.6.23 - Linux kernel source for version 2.6.23 with Debian patches
 linux-support-2.6.23-1 - Support files for Linux 2.6.23
 linux-tree-2.6.23 - Linux kernel source tree for building Debian kernel images
Closes: 360876 418442 423040 426210 431977 432555 433187 435677 438697 439020 441226 447682 450939 452069
Changes: 
 linux-2.6 (2.6.23-1) unstable; urgency=low
 .
   * New upstream release (closes: #447682).
     - r8169: fix confusion between hardware and IP header alignment
       (closes: #452069).
 .
   [ maximilian attems ]
   * [ppc] Enable for powerpc config the ams (Apple Motion Sensor).
     (closes: #426210)
   * Add to linux-doc the missing toplevel text files.
     (closes: #360876, #438697)
   * Set CONFIG_BLK_DEV_IO_TRACE for blktrace(8) support. (closes: #418442)
   * ipw2200: Enable IPW2200_RADIOTAP and IPW2200_PROMISCUOUS for optional
     rtap interface. (closes: #432555)
   * Enable in topconfig NF_CT_PROTO_UDPLITE, NETFILTER_XT_TARGET_TRACE,
     NETFILTER_XT_MATCH_CONNLIMIT, NETFILTER_XT_MATCH_U32, SENSORS_ABITUGURU3,
     SENSORS_LM93, SENSORS_DME1737, SENSORS_THMC50, DVB_USB_AF9005,
     DVB_USB_AF9005_REMOTE, CRC7, I2C_TAOS_EVM, DS1682, SENSORS_TSL2550,
     SPI_LM70_LLP, SPI_TLE62X0, W1_SLAVE_DS2760, TUNER_TEA5761, NET_9P,
     DM_MULTIPATH_RDAC, NET_SCH_RR, EEPROM_93CX6, PPPOL2TP, CRYPTO_HW, UIO,
     UIO_CIF, SND_CS5530, RTL8187, PC300TOO, TCG_TIS, SCSI_SAS_ATA,
     PATA_MARVELL.
   * [i386] Enable lguest.
   * [amd64, i386] Enable VIDEO_OUTPUT_CONTROL, NETDEVICES_MULTIQUEUE.
   * linux-image bugscript add cmdline.
   * [amd64, i386, ia64]: Enable DMIID, ACPI_PROC_EVENT.
   * Enable TCG_TPM various userspace accesses it. (closes: #439020)
   * Add and enable IWLWIFI.
   * Add git-ieee1394.patch for latest firewire fixes.
   * [ipv6] Enable IPV6_MULTIPLE_TABLES, IPV6_SUBTREES. (closes: #441226)
   * Add and enable E1000E.
   * Add stable release 2.6.23.1:
     - libata: sata_mv: more S/G fixes
 .
   [ Martin Michlmayr ]
   * [mips] Add a bcm1480 PCI build fix.
   * Update Riku Voipio's Fintek F75375/SP driver to the latest version.
   * [arm/iop32x] Set the fan on Thecus N2100 to full speed (Riku Voipio).
   * [arm/iop32x] Remove the IPv6 and filesystem info from the config file
     so we will get the values from the main config file.  This should
     enable NFSv4 and ip6tables support requested by Wouter Verhelst.
   * [arm/iop32x] Remove even more options to receive the default options.
   * [arm/ixp4xx] Remove a lot of options to receive the default options.
   * [mips/r4k-ip22] Remove a lot of options to receive the default options.
     This will enable ISCSI requested by Martin Zobel-Helas.
   * [mips/r5k-ip32] Remove a lot of options to receive the default options.
     This will enable PCI Ethernet devices requested by Giuseppe Sacco.
   * [mipsel/r5k-cobalt] Remove a lot of options to receive the default
     options.
   * [mipsel/r5k-cobalt] Enable the modern Cobalt LEDs driver.
   * [arm/iop32x] Enable Intel IOP ADMA support.
   * [arm] Mark BCM43XX as broken on ARM.
   * [mips/r4k-ip22] Disable EARLY PRINTK because it breaks serial console.
   * [mips] Add some IP22 fixes from Thomas Bogendoerfer:
     - Fix broken EISA interrupt setup by switching to generic i8259
     - Fix broken eeprom access by using __raw_readl/__raw_writel
 .
   [ Bastian Blank ]
   * Add unpriviledged only Xen support.
   * [i386] Drop k7 images.
   * Drop maybe IETF document. (closes: #423040)
   * Drop drivers because of binary only firmwares:
     - DABUSB driver
     - COPS LocalTalk PC support
     - Digi Intl. RightSwitch SE-X support
     - 3Com 3C359 Token Link Velocity XL adapter support
     - SMC ISA/MCA adapter support
     - EMI 6|2m USB Audio interface support
     - EMI 2|6 USB Audio interface support
     - Computone IntelliPort Plus serial support
   * Remove binary only firmwares for:
     - Alteon AceNIC/3Com 3C985/NetGear GA620 Gigabit support
     - Broadcom Tigon3 support
     - USB Keyspan USA-xxx Serial Driver
     - Korg 1212 IO
     - ESS Allegro/Maestro3
     - Yamaha YMF724/740/744/754
     - Technotrend/Hauppauge Nova-USB devices
     - YAM driver for AX.25
     - MyriCOM Gigabit Ethernet support
     - PTI Qlogic, ISP Driver
     - Cirrus Logic (Sound Fusion) CS4280/CS461x/CS462x/CS463x
     - Madge Ambassador (Collage PCI 155 Server)
     - PCA-200E support
     - SBA-200E support
     - Broadcom NetXtremeII support
   * Disable now broken drivers:
     - Alteon AceNIC/3Com 3C985/NetGear GA620 Gigabit support
     - USB Keyspan USA-xxx Serial Driver
     - Technotrend/Hauppauge Nova-USB devices
     - YAM driver for AX.25
     - MyriCOM Gigabit Ethernet support
     - PTI Qlogic, ISP Driver
     - Cirrus Logic (Sound Fusion) CS4280/CS461x/CS462x/CS463x
     - Madge Ambassador (Collage PCI 155 Server)
     - PCA-200E support
     - SBA-200E support
     - Broadcom NetXtremeII support
   * Add -common to common header package names.
   * Drop provides from common header packages.
   * Update plain image type.
   * Put only a config dump into linux-support.
 .
   [ Aurelien Jarno ]
   * [mips, mipsel] Add a 64-bit image (5kc-malta) for the MIPS Malta board.
     (closes: #435677)
     [sparc] Enable r8169 module on sparc64 and sparc64-smp flavours (closes:
     #431977)
 .
   [ Frederik Schüler ]
   * Move all PATA options into the global config file, exept PATA_ARTOP
     (arm/ixp4xx) and PATA_MPC52xx (powerpc).
   * Move new global options into the global config file
   * Clean up new amd64 options
 .
   [ dann frazier ]
   * [ia64] Re-enable various unintentionally disabled config options
   * Enable hugetlbfs on i386, amd64, sparc64 and powerpc64. Closes: #450939
 .
   [ Bastian Blank ]
   * Add stable release 2.6.23.2:
     - BLOCK: Fix bad sharing of tag busy list on queues with shared tag maps
     - fix tmpfs BUG and AOP_WRITEPAGE_ACTIVATE
     - Fix compat futex hangs. (closes: #433187)
     - sched: keep utime/stime monotonic
     - fix the softlockup watchdog to actually work
     - splice: fix double kunmap() in vmsplice copy path
     - writeback: don't propagate AOP_WRITEPAGE_ACTIVATE
     - SLUB: Fix memory leak by not reusing cpu_slab
     - HOWTO: update ja_JP/HOWTO with latest changes
     - fix param_sysfs_builtin name length check
     - param_sysfs_builtin memchr argument fix
     - Remove broken ptrace() special-case code from file mapping
     - locks: fix possible infinite loop in posix deadlock detection
     - lockdep: fix mismatched lockdep_depth/curr_chain_hash
   * Add stable release 2.6.23.3:
     - revert "x86_64: allocate sparsemem memmap above 4G"
     - x86: fix TSC clock source calibration error
     - x86 setup: sizeof() is unsigned, unbreak comparisons
     - x86 setup: handle boot loaders which set up the stack incorrectly
     - x86: fix global_flush_tlb() bug
     - xfs: eagerly remove vmap mappings to avoid upsetting Xen
     - xen: fix incorrect vcpu_register_vcpu_info hypercall argument
     - xen: deal with stale cr3 values when unpinning pagetables
     - xen: add batch completion callbacks
     - UML - kill subprocesses on exit
     - UML - stop using libc asm/user.h
     - UML - Fix kernel vs libc symbols clash
     - UML - Stop using libc asm/page.h
     - POWERPC: Make sure to of_node_get() the result of pci_device_to_OF_node()
     - POWERPC: Fix handling of stfiwx math emulation
     - MIPS: R1: Fix hazard barriers to make kernels work on R2 also.
     - MIPS: MT: Fix bug in multithreaded kernels.
     - Fix sparc64 MAP_FIXED handling of framebuffer mmaps
     - Fix sparc64 niagara optimized RAID xor asm
   * Add stable release 2.6.23.4:
     - mac80211: make ieee802_11_parse_elems return void
     - mac80211: only honor IW_SCAN_THIS_ESSID in STA, IBSS, and AP modes
     - mac80211: honor IW_SCAN_THIS_ESSID in siwscan ioctl
     - mac80211: store SSID in sta_bss_list
     - mac80211: store channel info in sta_bss_list
     - mac80211: reorder association debug output
     - ieee80211: fix TKIP QoS bug
     - NETFILTER: nf_conntrack_tcp: fix connection reopening
     - Fix netlink timeouts.
     - Fix crypto_alloc_comp() error checking.
     - Fix SET_VLAN_INGRESS_PRIORITY_CMD error return.
     - Fix VLAN address syncing.
     - Fix endianness bug in U32 classifier.
     - Fix TEQL oops.
     - Fix error returns in sys_socketpair()
     - softmac: fix wext MLME request reason code endianness
     - Fix kernel_accept() return handling.
     - TCP: Fix size calculation in sk_stream_alloc_pskb
     - Fix SKB_WITH_OVERHEAD calculations.
     - Fix 9P protocol build
     - Fix advertised packet scheduler timer resolution
     - Add get_unaligned to ieee80211_get_radiotap_len
     - mac80211: Improve sanity checks on injected packets
     - mac80211: filter locally-originated multicast frames
   * Add stable release 2.6.23.5:
     - zd1211rw, fix oops when ejecting install media
     - rtl8187: Fix more frag bit checking, rts duration calc
     - ipw2100: send WEXT scan events
     - zd1201: avoid null ptr access of skb->dev
     - sky2: fix power settings on Yukon XL
     - sky2: ethtool register reserved area blackout
     - sky2: status ring race fix
     - skge: XM PHY handling fixes
     - Fix L2TP oopses.
     - TG3: Fix performance regression on 5705.
     - forcedeth: add MCP77 device IDs
     - forcedeth msi bugfix
     - ehea: 64K page kernel support fix
     - libertas: fix endianness breakage
     - libertas: more endianness breakage
   * Add stable release 2.6.23.6:
     - ACPI: suspend: Wrong order of GPE restore.
     - ACPI: sleep: Fix GPE suspend cleanup
     - libata: backport ATA_FLAG_NO_SRST and ATA_FLAG_ASSUME_ATA, part 2
     - libata: backport ATA_FLAG_NO_SRST and ATA_FLAG_ASSUME_ATA
     - libata: add HTS542525K9SA00 to NCQ blacklist
     - radeon: set the address to access the GART table on the CPU side correctly
     - Char: moxa, fix and optimise empty timer
     - Char: rocket, fix dynamic_dev tty
     - hptiop: avoid buffer overflow when returning sense data
     - ide: Fix cs5535 driver accessing beyond array boundary
     - ide: Fix siimage driver accessing beyond array boundary
     - ide: Add ide_get_paired_drive() helper
     - ide: fix serverworks.c UDMA regression
     - i4l: fix random freezes with AVM B1 drivers
     - i4l: Fix random hard freeze with AVM c4 card
     - ALSA: hda-codec - Add array terminator for dmic in STAC codec
     - USB: usbserial - fix potential deadlock between write() and IRQ
     - USB: add URB_FREE_BUFFER to permissible flags
     - USB: mutual exclusion for EHCI init and port resets
     - usb-gadget-ether: prevent oops caused by error interrupt race
     - USB: remove USB_QUIRK_NO_AUTOSUSPEND
     - MSI: Use correct data offset for 32-bit MSI in read_msi_msg()
     - md: raid5: fix clearing of biofill operations
     - md: fix an unsigned compare to allow creation of bitmaps with v1.0 metadata
     - dm: fix thaw_bdev
     - dm delay: fix status
     - libata: sync NCQ blacklist with upstream
     - ALSA: hdsp - Fix zero division
     - ALSA: emu10k1 - Fix memory corruption
     - ALSA: Fix build error without CONFIG_HAS_DMA
     - ALSA: fix selector unit bug affecting some USB speakerphones
     - ALSA: hda-codec - Avoid zero NID in line_out_pins[] of STAC codecs
     - IB/mthca: Use mmiowb() to avoid firmware commands getting jumbled up
     - IB/uverbs: Fix checking of userspace object ownership
     - hwmon/lm87: Disable VID when it should be
     - hwmon/lm87: Fix a division by zero
     - hwmon/w83627hf: Don't assume bank 0
     - hwmon/w83627hf: Fix setting fan min right after driver load
     - i915: fix vbl swap allocation size.
     - POWERPC: Fix platinumfb framebuffer
   * Add stable release 2.6.23.7:
     - NFS: Fix a writeback race...
     - ocfs2: fix write() performance regression
     - minixfs: limit minixfs printks on corrupted dir i_size (CVE-2006-6058)
   * Add stable release 2.6.23.8:
     - wait_task_stopped: Check p->exit_state instead of TASK_TRACED (CVE-2007-5500)
     - TCP: Make sure write_queue_from does not begin with NULL ptr (CVE-2007-5501)
   * Add stable release 2.6.23.9:
     - ipw2200: batch non-user-requested scan result notifications
     - USB: Nikon D40X unusual_devs entry
     - USB: unusual_devs modification for Nikon D200
     - softlockup: use cpu_clock() instead of sched_clock()
     - softlockup watchdog fixes and cleanups
     - x86: fix freeze in x86_64 RTC update code in time_64.c
     - ntp: fix typo that makes sync_cmos_clock erratic
     - x86: return correct error code from child_rip in x86_64 entry.S
     - x86: NX bit handling in change_page_attr()
     - x86: mark read_crX() asm code as volatile
     - x86: fix off-by-one in find_next_zero_string
     - i386: avoid temporarily inconsistent pte-s
     - libcrc32c: keep intermediate crc state in cpu order
     - geode: Fix not inplace encryption
     - Fix divide-by-zero in the 2.6.23 scheduler code
     - ACPI: VIDEO: Adjust current level to closest available one.
     - libata: sata_sis: use correct S/G table size
     - sata_sis: fix SCR read breakage
     - reiserfs: don't drop PG_dirty when releasing sub-page-sized dirty file
     - x86: disable preemption in delay_tsc()
     - dmaengine: fix broken device refcounting
     - nfsd4: recheck for secure ports in fh_verify
     - knfsd: fix spurious EINVAL errors on first access of new filesystem
     - raid5: fix unending write sequence
     - oProfile: oops when profile_pc() returns ~0LU
     - drivers/video/ps3fb: fix memset size error
     - i2c/eeprom: Hide Sony Vaio serial numbers
     - i2c/eeprom: Recognize VGN as a valid Sony Vaio name prefix
     - i2c-pasemi: Fix NACK detection
Files: 
 4a8016053f905cd59db70632b062fc3a 4191 devel optional linux-2.6_2.6.23-1.dsc
 2c0345d035d3f212824845da6505372f 56620397 devel optional linux-2.6_2.6.23.orig.tar.gz
 05a9411ef8c5db98e3265d2b61a43076 1432346 devel optional linux-2.6_2.6.23-1.diff.gz
 84dc4b5bc9de2f3c0abff3590b762054 4379856 doc optional linux-doc-2.6.23_2.6.23-1_all.deb
 e7182c6b4374dfad22e762c77bfb5942 1497496 doc optional linux-manual-2.6.23_2.6.23-1_all.deb
 ca30977b2feda075b99ada5659f05d34 1026104 devel optional linux-patch-debian-2.6.23_2.6.23-1_all.deb
 52ba84b560014cda0d835ad2def10216 45646014 devel optional linux-source-2.6.23_2.6.23-1_all.deb
 6697a966a6bad2335d36e710e4467d4b 84624 devel optional linux-support-2.6.23-1_2.6.23-1_all.deb
 fc402f0101bec3ba146901b8cc68624b 70186 devel optional linux-tree-2.6.23_2.6.23-1_all.deb
 0f59a28e0ee613ee2e5740ed4e015b4f 18748102 admin optional linux-image-2.6.23-1-amd64_2.6.23-1_amd64.deb
 aaafd83bec84ec838f6d6a147e4565c8 318144 devel optional linux-headers-2.6.23-1-amd64_2.6.23-1_amd64.deb
 e20a81125e4194af5e4e39c2b23a498f 3567898 devel optional linux-headers-2.6.23-1-common_2.6.23-1_amd64.deb
 d31ae0b25f1aea03ffc415cd494a3230 69850 devel optional linux-headers-2.6.23-1-all_2.6.23-1_amd64.deb
 76f3bf54fb7d3f7d5c4b46c79a76ce03 69856 devel optional linux-headers-2.6.23-1-all-amd64_2.6.23-1_amd64.deb
 ee0c23c546e8b5a08379b81724d1c42d 734474 devel optional linux-libc-dev_2.6.23-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHUBQCeW7Lc5tEHqgRAjvBAKCHqj/t+6rqQqY3vWDd95kDpheE+wCeKhSa
IpVuaKhez78i5Oj2/UThTXo=
=Y8JO
-----END PGP SIGNATURE-----





Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Stefan Fritsch <sf@sfritsch.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#452069; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #142 received at 452069@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: dann frazier <dannf@debian.org>, 452069@bugs.debian.org
Cc: Daniel Smolik <marvin@mydatex.cz>
Subject: Re: Bug#452069: nfs-kernel-server: broken NFS server on Thecus N2100
Date: Sun, 9 Dec 2007 18:48:42 -0700
* dann frazier <dannf@debian.org> [2007-11-22 10:10]:
> > dannf, could you please take a look at #452069 and let me know if this
> > bug is worth addressing in a stable update.
> Yes, this certainly qualifies - I've updated the usertags to reflect
> that. Thanks for tracking this one down.

I prepared the patch below which works for me and which according to
upstream shouldn't break anything.  On the one hand, he agreed it
shouldn't impact performance, but on the other hand he mentioned:

| If the driver does not feel as fast as expected, try
| e9f63f30863fd778a5329e93c7e2208b9bcb5b79 first. No known downside so
| far.

| If the speed goes brutally down with nfs/smb, give a try to
| d78ae2dcc2acebb9a1048278f47f762c069db75c

So I'm not quite sure whether to apply the patch or whether we need
verification that it won't slow down things.

I also asked what other patches would be of interest to backport and
got:

| Let aside the "align" fixes, the short list below contains some candidates
| in reverse order:

| 315917d23fdd20a0f4ff99b9228de5840d9d276c
| 9cb427b6ff0b3e235c518acf5c1fcbbfc95f0ae2
| d03902b8864d7814c938f67befade5a3bba68708 | you should already have those
| a27993f3d9daca0dffa26577a83822db99c952e2 |
| eb2a021c4710b98081daa797d5a729ac23c240cd
| 2efa53f373ed811d4860904f5205b8a3b376e253
| 99f252b097a3bd6280047ba2175b605671da4a23
| 1371fa6db0bbb8e23f988a641f5ae7361bc629dd

| It's gross though: there are 99 changes from v2.6.18.8 to current master
| for the r8169 driver and some registers init changes may have been partially
| reverted later.

I don't have the time or experience to look into these, so again, I'm
not quite sure how to proceed.  I guess it also depends how close the
etch 1+1/2 update is.

Dan, any thoughts?


My proposed patch:

--- a/drivers/net/r8169.c	2007-11-22 12:20:51.000000000 +0000
+++ b/drivers/net/r8169.c	2007-11-22 12:20:51.000000000 +0000
@@ -202,7 +202,7 @@
 	unsigned int region;
 	unsigned int align;
 } rtl_cfg_info[] = {
-	[RTL_CFG_0] = { 1, NET_IP_ALIGN },
+	[RTL_CFG_0] = { 1, 2 },
 	[RTL_CFG_1] = { 2, NET_IP_ALIGN },
 	[RTL_CFG_2] = { 2, 8 }
 };
@@ -2487,9 +2487,9 @@
 	if (pkt_size < rx_copybreak) {
 		struct sk_buff *skb;
 
-		skb = dev_alloc_skb(pkt_size + align);
+		skb = dev_alloc_skb(pkt_size + NET_IP_ALIGN);
 		if (skb) {
-			skb_reserve(skb, (align - 1) & (u32)skb->data);
+			skb_reserve(skb, NET_IP_ALIGN);
 			eth_copy_and_sum(skb, sk_buff[0]->data, pkt_size, 0);
 			*sk_buff = skb;
 			rtl8169_mark_to_asic(desc, rx_buf_sz);

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#452069; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. Full text and rfc822 format available.

Message #147 received at 452069@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: Martin Michlmayr <tbm@cyrius.com>, 452069@bugs.debian.org
Cc: Daniel Smolik <marvin@mydatex.cz>
Subject: Re: Bug#452069: nfs-kernel-server: broken NFS server on Thecus N2100
Date: Tue, 11 Dec 2007 09:14:01 -0700
On Sun, Dec 09, 2007 at 06:48:42PM -0700, Martin Michlmayr wrote:
> * dann frazier <dannf@debian.org> [2007-11-22 10:10]:
> > > dannf, could you please take a look at #452069 and let me know if this
> > > bug is worth addressing in a stable update.
> > Yes, this certainly qualifies - I've updated the usertags to reflect
> > that. Thanks for tracking this one down.
> 
> I prepared the patch below which works for me and which according to
> upstream shouldn't break anything.

ok

> On the one hand, he agreed it
> shouldn't impact performance, but on the other hand he mentioned:
> 
> | If the driver does not feel as fast as expected, try
> | e9f63f30863fd778a5329e93c7e2208b9bcb5b79 first. No known downside so
> | far.
> 
> | If the speed goes brutally down with nfs/smb, give a try to
> | d78ae2dcc2acebb9a1048278f47f762c069db75c
> 
> So I'm not quite sure whether to apply the patch or whether we need
> verification that it won't slow down things.

well, slower is certainly better than corruption :)
My suggestion would be to provide a build and see if people measure
any significant changes. netperf might be useful here (but its in
non-free due to a non-commercial usage clause).

> I also asked what other patches would be of interest to backport and
> got:
> 
> | Let aside the "align" fixes, the short list below contains some candidates
> | in reverse order:
> 
> | 315917d23fdd20a0f4ff99b9228de5840d9d276c

don't have this one

> | 9cb427b6ff0b3e235c518acf5c1fcbbfc95f0ae2

we have this one

> | d03902b8864d7814c938f67befade5a3bba68708 | you should already have those
> | a27993f3d9daca0dffa26577a83822db99c952e2 |

looks like we do, but applied only on arm

> | eb2a021c4710b98081daa797d5a729ac23c240cd
> | 2efa53f373ed811d4860904f5205b8a3b376e253
> | 99f252b097a3bd6280047ba2175b605671da4a23
> | 1371fa6db0bbb8e23f988a641f5ae7361bc629dd

we don't appear to have these

> | It's gross though: there are 99 changes from v2.6.18.8 to current master
> | for the r8169 driver and some registers init changes may have been partially
> | reverted later.
> 
> I don't have the time or experience to look into these, so again, I'm
> not quite sure how to proceed.  I guess it also depends how close the
> etch 1+1/2 update is.

That's tough to say; I think we should fix this bug in .18
regardless and consider the others on a case-by-case basis.

-- 
dann frazier





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#452069; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #152 received at 452069@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: dann frazier <dannf@debian.org>, 452069@bugs.debian.org
Cc: Daniel Smolik <marvin@mydatex.cz>
Subject: Re: Bug#452069: nfs-kernel-server: broken NFS server on Thecus N2100
Date: Tue, 11 Dec 2007 23:47:27 -0700
* dann frazier <dannf@debian.org> [2007-12-11 09:14]:
> > So I'm not quite sure whether to apply the patch or whether we need
> > verification that it won't slow down things.
> 
> well, slower is certainly better than corruption :)
> My suggestion would be to provide a build and see if people measure
> any significant changes. netperf might be useful here (but its in
> non-free due to a non-commercial usage clause).

OK, I'll look into doing that.
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#452069; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #157 received at 452069@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 452069@bugs.debian.org
Subject: 2.6.18
Date: Sun, 17 Feb 2008 22:29:48 +0100
Just for the record, I think I'll leave this unfixed in 2.6.18 since
the etchandhalf kernel will be based on 2.6.24 and therefore doesn't
have this bug.
-- 
Martin Michlmayr
http://www.cyrius.com/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 25 Apr 2008 07:43:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:30:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.